Subject: bug#8414: describe-bindings does not list text properties and overlay bindings!

From: Lars Ingebrigtsen <[email-masked]>
Date: Wed, 21 Aug 2019 14:05:36 -0700

[email-masked] writes:

> Since back in the 1980's I've depended on C-h b to tell me what all the
> keys are currently bound to in the buffer I'm in.
>
> I even printed them out on paper and studied them all.
>
>   C-h b runs the command describe-bindings, which is an interactive
>   compiled Lisp function in `help.el'.
>
>   Show a list of all defined keys, and their definitions.
>   We put that list in a buffer, and display the buffer.

(I'm going through old bug reports that have unfortunately gotten no
attention yet.)

I had a peek at this now -- I hit `C-h b' on text that has a `keymap'
property, and it looks like it's been fixed in the intervening years:

`keymap' Property Bindings:
key             binding
---             -------

TAB		shr-next-link
RET		eww-follow-link
ESC		Prefix Command
+		image-increase-size
-		image-decrease-size

So I'm closing this bug report.  If you're still seeing this, please
reopen.

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no